# Create Volume (/volumes/Volumes_create)

Create a volume for a specific app using the details provided in the request body.


`POST /apps/{app_name}/volumes`

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `app_name` | path | `string` | Yes | Fly App Name |

## Request Body

Type: `CreateVolumeRequest`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `auto_backup_enabled` | `boolean` | No | enable scheduled automatic snapshots. Defaults to `true` |
| `compute` | `fly.MachineGuest` | No |  |
| `compute_image` | `string` | No |  |
| `encrypted` | `boolean` | No |  |
| `fstype` | `string` | No |  |
| `name` | `string` | No |  |
| `region` | `string` | No |  |
| `require_unique_zone` | `boolean` | No |  |
| `size_gb` | `integer` | No |  |
| `snapshot_id` | `string` | No | restore from snapshot |
| `snapshot_retention` | `integer` | No |  |
| `source_volume_id` | `string` | No | fork from remote volume |
| `unique_zone_app_wide` | `boolean` | No |  |

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | OK | `Volume` |

The full machine-readable OpenAPI spec is available at /openapi.json.